<?php

use Slim\Routing\RouteCollectorProxy;

$app->get('/', '\\BitGoblin\\Colossus\\Controllers\\HomeController:getIndex')->setName('dashboard');

$app->group('/benchmark', function(RouteCollectorProxy $group) {
  $group->get('', '\\BitGoblin\\Colossus\\Controllers\\BenchmarkController:getIndex')->setName('benchmark.index');
  $group->get('/list', '\\BitGoblin\\Colossus\\Controllers\\BenchmarkController:getList')->setName('benchmark.list');
  $group->get('/add', '\\BitGoblin\\Colossus\\Controllers\\BenchmarkController:getAdd')->setName('benchmark.add');
  $group->post('/add', '\\BitGoblin\\Colossus\\Controllers\\BenchmarkController:postAdd');
  $group->get('/{benchmark_id}', '\\BitGoblin\\Colossus\\Controllers\\BenchmarkController:getView')->setName('benchmark.view');
});

$app->group('/component', function(RouteCollectorProxy $group) {
  $group->get('', '\\BitGoblin\\Colossus\\Controllers\\ComponentController:getIndex')->setName('component.index');
  $group->get('/list', '\\BitGoblin\\Colossus\\Controllers\\ComponentController:getList')->setName('component.list');
  $group->get('/add', '\\BitGoblin\\Colossus\\Controllers\\ComponentController:getAdd')->setName('component.add');
  $group->post('/add', '\\BitGoblin\\Colossus\\Controllers\\ComponentController:postAdd');
  $group->get('/{component_id}', '\\BitGoblin\\Colossus\\Controllers\\ComponentController:getView')->setName('component.view');
});

$app->group('/test', function(RouteCollectorProxy $group) {
  $group->get('', '\\BitGoblin\\Colossus\\Controllers\\TestController:getList')->setName('test.list');
  $group->get('/add', '\\BitGoblin\\Colossus\\Controllers\\TestController:getAdd')->setName('test.add');
  $group->post('/add', '\\BitGoblin\\Colossus\\Controllers\\TestController:postAdd');
  $group->get('/{test_id}', '\\BitGoblin\\Colossus\\Controllers\\TestController:getView')->setName('test.view');
});

$app->group('/result', function(RouteCollectorProxy $group) {
  $group->post('/add', '\\BitGoblin\\Colossus\\Controllers\\ResultController:postAdd')->setName('result.add');
});

$app->group('/reports', function(RouteCollectorProxy $group) {
  $group->get('/generate', '\\BitGoblin\\Colossus\Controllers\ReportController:getGenerate')->setName('reports.generate');
});

$app->group('/api', function(RouteCollectorProxy $group) {
  $group->get('/benchmark/{benchmark_id}', '\\BitGoblin\\Colossus\\Controllers\\ApiController:getBenchmark')->setName('api.benchmark');
  $group->get('/benchmark/{benchmark_id}/tests', '\\BitGoblin\\Colossus\\Controllers\\ApiController:getBenchmarkTests')->setName('api.benchmark');
});
